Subject: Re: bug#61346: 29.0.60; archive misbehaviors

From: Ruijie Yu <[email-masked]>
Date: Tue, 07 Feb 2023 21:42:57 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Tue, 07 Feb 2023 18:32:23 +0800
>> From:  Ruijie Yu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>> CC: Ruijie Yu <[email-masked]>
>>
>> Hello, somewhere in the master branch has the following misbehaviors on
>> archives -- at least on zip variant.
>>
>> $ touch 1 2 && zip z 1 2 && mv z.zip z
>> $ emacs -Q z
>>
>> Observe the following behaviors:
>>
>> 1. Point initially is at the filename "1", and moves forward 1 character
>> (after "1") after a short (around 200 - 500 ms) delay.
>>
>> 2. After (1), while holding either control key, point moves to BOL after
>> summary line (line 7 col 1); echo area displays "Mark set" until the key
>> is released.
>>
>> 3. After (1), while holding either shift key, the "copy" button on the
>> tool bar is temporarily enabled until the key is released; echo area
>> displays "Mark set" for a brief period (around 50 - 200 ms).
>>
>> 4. After (1), while holding left meta key (I cannot test the right one
>> as I repurposed this key), the echo area displays "There is no other
>> window" until the key is released.
>
> I cannot reproduce any of these strange behaviors.
>
> It sounds like Emacs sees keys pressed that you don't actually press?
> What does "C-h l" say after the above?
>
>> In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>>  3.24.36, cairo version 1.17.6) of 2023-02-07 built on fw.net.yu
>> Repository revision: 5642bf0b9726ea299a670e7393695148f31c619b
>
> This repository revision is quite old (about 2 weeks), but the date
> you built it is from today.  Can you update from Git and rebuild?

Hello Eli,

I do not know why, but after I came back from a meal and actually did
"git pull master" instead of "git fetch" to get the latest changes, I no
longer see these issues either -- it is quite strange, and I do not know
of any difference in my system.  I wasn't able to reproduce this issue
even in the old worktree in which I originally discovered the issue.

I think at least at the moment this bug can be closed, and I will keep
it in the back of my mind and report back when I face it again.

Best,

RY